#!/bin/sh
#
# Adds a new user 'nagioscmd' for nagios check_by_ssh commands.

set -e

NAG_USER="nagioscmd"
SHELL="/bin/bash"

id -u ${NAG_USER} > /dev/null 2>&1 || (echo "Adding ${NAG_USER} user." && useradd -m ${NAG_USER} -s ${SHELL} && passwd -l ${NAG_USER})
