#!/bin/sh
#
# Adds the correct /etc/security/access.conf file.

set -e

cat > /etc/security/access.conf << EOF
# /etc/security/access.conf

# System Administration <linux@gymkirchenfeld.ch>
- : sysadmin : LOCAL
+ : sysadmin : ALL
+ : nagioscmd : ALL

# Groups
+ : (linux-sysadmins) : ALL

# All other users should be denied to get access from all sources.
- : ALL : ALL
EOF
